const express = require('express')
const router = express.Router()
const { authorization, } = require('../middleware/authentication')

const { getSentiment, getAudioFromText, getVoiceConfig } = require('../controllers/naturalLanguageController')

router.route('/sentiment').post(authorization, getSentiment)
router.route('/text-to-speech').get(getAudioFromText)
router.route('/voice-config').get(getVoiceConfig)

module.exports = router
